Subject: Re: [Rtg-ooam-dt] Overlay OAM DT meeting - Minutes (Jan-12-2016)

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Tue, 12 Jan 2016 19:09:03 +0000

Hi All,

Please find the meeting minutes captured from todays call. Please feel free to make any changes if I miss something,

  *   Discussion on ECMP awareness on underlay/overlay - for ease of operation and capacity planning it helps. Not required to be "MUST".
  *   Nagendra to include the ECMP requirement in the document.
  *   One of the requirement is to have a protocol (or a differentiator) for OAM in the overlay header.
  *   For continuity check, BFD multipoint and BFDmultipoint with active tail may be a good start - will be more appropriate without IP/UDP. S-BFD can be explored.
  *   There is another proposal from Ron Bonica as draft-ietf-mpls-self-ping. This machinery also to be considered as part of brain storming.
  *   For Ping/Trace, BIER Ping proposal is a good start as it proposes the basic machinery and TLVs.
  *   RFC6374 and draft-ietf-mpls-rfc6374-udp-return-path could be considered for active performance measurement.
  *   Anyone can include any other machinery that they have in mind in the Scratch Pad document for brainstorming and get the best suited one for Overlay OAM approach.
  *   No plan for BoF proposal this time. But Greg will discuss with Alia. We target to get 3 documents by next IETF - Requirement, Gap Analysis and Solution framework.

Next meeting: Next week. Moving forward, we may have bi-weekly meeting.

Thanks,
Nagendra

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 12 Jan 2016 19:17:25 +0000

Hi Nagendra,
thank you for capturing the minutes of today meeting.
Here's reference to LSP Self-Ping<http://tools.ietf.org/html/draft-chen-ippm-coloring-based-ipfpm-framework-04> work by Ron Bonica I've mentioned today. I think that functionally it is equivalent to BFD-Echo (which is single-hop only) and S-BFD.
I've added a note on passive PM to the Scratch pad.
Please review Requirements, Scratch and add your content, comments.

                Regards,
                                Greg

From: Nagendra Kumar Nainar (naikumar) [mailto:[email-masked]]
Sent: Tuesday, January 12, 2016 11:09 AM
To: Gregory Mirsky; [email-masked]; [email-masked]; Deepak Kumar (dekumar); [email-masked]; [email-masked]; [email-masked]; [email-masked]; Carlos Pignataro (cpignata); [email-masked]
Subject: Re: Overlay OAM DT meeting - Minutes (Jan-12-2016)

Hi All,

Thanks,
Nagendra

---

From: Santosh P K <[email-masked]>
Date: Thu, 14 Jan 2016 18:43:17 +0530

Hello Greg,
   If you remember we discussed few things w.r.t self ping. In case of self
ping it is using self address as the destination address which is being
sent on a LSP. Ideally we should be using 127/8 range address as per
section 2.1 of RFC 4379. I have not read the latest draft so not sure if
that has been addressed or not. This is something that we need to keep in
mind.

Thanks
Santosh P K

---

From: Gregory Mirsky <[email-masked]>
Date: Thu, 14 Jan 2016 23:02:26 +0000

Hi Santosh,
you’re right, for IP encapsulation RFC 4379 and RFC 5884 (section 7) require use of Internal host loopback address from 127/8 range for IPv4 or from 0:0:0:0:0:FFFF:7F00/104 range for IPv6. But the Self-ping positions itself as new protocol that only in name is related to LSP ping (it been introduced recently, I guess) and uses different destination UDP port number. Thus, as I think, we can follow the path of the self-ping and define similar instrument in Overlay OAM.

                Regards,
                                Greg

From: Santosh P K [mailto:[email-masked]]
Sent: Thursday, January 14, 2016 5:13 AM
To: Gregory Mirsky
Cc: [email-masked]
Subject: Re: [Rtg-ooam-dt] Overlay OAM DT meeting - Minutes (Jan-12-2016)

Hello Greg,
   If you remember we discussed few things w.r.t self ping. In case of self ping it is using self address as the destination address which is being sent on a LSP. Ideally we should be using 127/8 range address as per section 2.1 of RFC 4379. I have not read the latest draft so not sure if that has been addressed or not. This is something that we need to keep in mind.
Thanks
Santosh P K